### Method

# Fwupd Device get_version_highest

since: 2.1.2

#### Declaration [src]

    const gchar*
    fwupd_device_get_version_highest (
      FwupdDevice* self
    )

#### Description [src]

Gets the highest version of firmware the device will accept.

Available since: 2.1.2

#### Return value

Type: `const gchar*`

The device version_highest, or `NULL` if unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.